ARM Technical Support Knowledge Articles

Does DS-5 support all flavours of Linux?

Applies to: DS-5

Answer


Information in this knowledgebase article applies to:


QUESTION

Does DS-5 support all flavours of Linux?

ANSWER

DS-5 Application Edition supports debugging of Linux applications on any ARM Linux.

DS-5 requires gdbserver 6.8 (or later). DS-5 contains pre-built copies of gdbserver for various ARM architectures that require glibc/EGLIBC (libc.so.6), libthread_db.so.1 and libgcc_s.so.1.

To use the Remote System Explorer (RSE) with DS-5, the ssh daemon (sshd) must be up and running on the target. For file transfer, RSE starts up sftp-server via sshd, so sftp-server must also be present in the Linux system.

Article last edited on: 2010-07-28 10:21:44

Rate this article

[Bad]
|
|
[Good]
Disagree? Move your mouse over the bar and click

Did you find this article helpful? Yes No

How can we improve this article?

Link to this article
Copyright © 2011 ARM Limited. All rights reserved. External (Open), Non-Confidential